Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.console
Interface IConsoleColorProvider

All Known Implementing Classes:
  ConsoleColorProvider

public interface IConsoleColorProvider

Provides coloring for a console document. When a process is added to a registered launch the debug plug-in creates a console document for the process. By default, a document is created which is connected to the standard input, output, and error streams associated with the process. A client may override the default coloring by specifying a custom content provider for a process type. A proccess type is defined via the process attribute `IProcess. ATTR_PROCESS_TYPE`.

A console color provider extension is defined in `plugin.xml`. Following is an example definition of a console color provider extension.

     <extension point="org.eclipse.debug.ui.consoleColorProviders">
       <consoleColorProvider
          id="com.example.ExampleConsoleColorProvider"
          class="com.example.ExampleConsoleColorProviderClass"
          processType="ExampleProcessType">
       </consoleColorProvider>
     </extension>

The attributes are specified as follows:

- `id` specifies a unique identifier for this color provider.
- `class` specifies a fully qualified name of a Java class that implements `IConsoleColorProvider`.
- `processType` specifies the identifier of the process type this content provider is associated with (which corresponds to the `ATTR_PROCESS_TYPE` attribute on a process).

Clients may implement this interface.

Since:
  2.1

Method Summary
`void` | `connect(IProcess process, IConsole console)` Connects this color provider to the given process and console.
`void` | `disconnect()` Disconnects this color provider.
`Color` | `getColor(String streamIdentifer)` Returns the color to draw output associated with the given stream.
`boolean` | `isReadOnly()` Returns whether the console associated with this color provider's process can currently accept keyboard input.

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Returns whether the console associated with this color provider's process can currently accept keyboard input. This attribute is dynamic and may change over the lifetime of a process/document.

  Returns:
    whether the console associated with this color provider's process can currently accept keyboard input

### getColor

    public Color getColor(String streamIdentifer)

  Returns the color to draw output associated with the given stream.

  Parameters:
    `streamIdentifer` - the identifier of the stream
  Returns:
    Color

### connect

    public void connect(IProcess process,
                        IConsole console)

  Connects this color provider to the given process and console. This color provider should connect its streams to the given console document.

  Parameters:
    `process` - the process to connect this color provider to
    `console` - the console to connect this color provider to

### disconnect

    public void disconnect()

  Disconnects this color provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.